//Datei: InitPIC.c
// 30MHz-PLL_Rechteckgenerator mit PIC16C84
//
// Grundeinstellung des PIC
//
// Copyright 1998 by Holger Klabunde
// 30.04.2001
// Compiler CC5x


#include "prozess.h"      /* Der verwendete Prozessor */

#include "pllser84.h"
#include "protos.h"

//**************************************************
//**************************************************
//PIC Grundeinstellungen
//**************************************************
//**************************************************
void InitPIC()
{
 CLRWDT;         //Laut Datenblatt vor ndern Prescaler fr TMR0
 OPTION=0x83;	 //Prescaler 1:16 und Intern Clock	
 
 //Ein TimerClock = 19.53us * 16 = 312us
 //TMR0 Interrupt alle 256 * 312us = 80ms
 
 TRISA=0x1F; // PortA 	alles Eingnge
 TRISB=0x00; // PortB 	alles Ausgnge 

 PORTB=0;    //Definierten Zustand einstellen
 PORTA=0x1F;

 INTCON=0b10100000; //Enable Interrupts, TMR0 Interrupt
}